Bug 66341 - Short language codes don't work as Locale identifiers for dictionaries
Summary: Short language codes don't work as Locale identifiers for dictionaries
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Linguistic (show other bugs)
Version:
(earliest affected)
4.0.1.1 rc
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 64382
  Show dependency treegraph
 
Reported: 2013-06-28 19:46 UTC by Rimas Kudelis (only watching bugs where I'm in CC list)
Modified: 2021-12-03 04:29 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rimas Kudelis (only watching bugs where I'm in CC list) 2013-06-28 19:46:28 UTC
+++ This bug was initially created as a clone of Bug #64382 +++

An updated Lithuanian spell checker dictionary did not work in a new LibreOffice installation, and the cause was determined to be a change introduced by upstream (ispell-lt): Property "Locales" was changed from lt-Lt to lt in dictionaries.xcu

The dictionary was updated with this commit:
https://gerrit.libreoffice.org/gitweb?p=dictionaries.git;a=commitdiff;h=143afd75257fd4c4b44f09ee402ec8caa09011ba#patch7

Changing
---
            <prop oor:name="Locales" oor:type="oor:string-list">
                <value>lt</value>
            </prop>
---
back to
---
            <prop oor:name="Locales" oor:type="oor:string-list">
                <value>lt-LT</value>
            </prop>
---
in the installed share\extensions\dict-lt\dictionaries.xcu for new users fixed the problem.

I believe that it a bug in LibreOffice spell checker which should work with Locales=lt just as well as with Locales=lt-LT?
Comment 1 Julien Nabet 2013-06-29 09:07:48 UTC
Andras: I was comparing with other dictionaries, eg http://opengrok.libreoffice.org/xref/dictionaries/an_ES/dictionaries.xcu
and saw that it's possible to put several values.
So, could we change:
<value>lt-LT</value>
to
<value>lt lt-LT</value>
? Or is it less "naive" than this?
Comment 2 Rimas Kudelis (only watching bugs where I'm in CC list) 2013-06-29 20:10:07 UTC
In (In reply to comment #1)
> Andras: I was comparing with other dictionaries, eg
> http://opengrok.libreoffice.org/xref/dictionaries/an_ES/dictionaries.xcu
> and saw that it's possible to put several values.
> So, could we change:
> <value>lt-LT</value>
> to
> <value>lt lt-LT</value>
> ? Or is it less "naive" than this?

In fact, that's what I did upstream for now. But I haven't got feedback yet about whether it works or not...

In any case, that would be a temporary workaround for bug #64382, not a bugfix, and certainly, not a bugfix for this bug.
Comment 3 Julien Nabet 2013-06-29 20:12:21 UTC
just for my information, why is it just a workaround and not a bugfix?
Comment 4 Andras Timar 2013-06-29 20:57:33 UTC
(In reply to comment #3)
> just for my information, why is it just a workaround and not a bugfix?

Because maybe you can write <value>foo bar baz lt lt-LT</value> there, and all but lt-LT will be just ignored.
Comment 5 Rimas Kudelis (only watching bugs where I'm in CC list) 2013-06-29 21:35:09 UTC
(In reply to comment #3)
> just for my information, why is it just a workaround and not a bugfix?

Because the problem is that valid two-letter codes do not work in LibO, and I believe that they should. I explicitly mentioned that it the last sentence of the initial comment by the way. :)
Comment 6 Julien Nabet 2013-06-29 22:18:50 UTC
If you're right and if I understand well, it means http://opengrok.libreoffice.org/xref/dictionaries/an_ES/dictionaries.xcu is wrong too, since we can see:
      6             <prop oor:name="Locations" oor:type="oor:string-list">
      7                 <value>%origin%/an_ES.aff %origin%/an_ES.dic</value>
and in this case, what's the meaning of "string-list" here?
Comment 7 Rimas Kudelis (only watching bugs where I'm in CC list) 2013-07-01 09:19:33 UTC
Sorry Julien, but I don't understand your question.
Comment 8 Julien Nabet 2013-07-01 09:39:01 UTC
Rimas, the question was more for Andras but I meant :
the xml file defines this field as "string-list", so we may expect being able to put several values like in http://opengrok.libreoffice.org/xref/dictionaries/an_ES/dictionaries.xcu
So if it doesn't work, how does "string-list" work?
Should it be:
<prop oor:name="Locations" oor:type="oor:string-list">
<value>%origin%/an_ES.aff</value>
<value>%origin%/an_ES.dic</value>
Comment 9 Rimas Kudelis (only watching bugs where I'm in CC list) 2013-07-01 21:18:58 UTC
(In reply to comment #8)
> Rimas, the question was more for Andras but I meant :
> the xml file defines this field as "string-list", so we may expect being
> able to put several values like in
> http://opengrok.libreoffice.org/xref/dictionaries/an_ES/dictionaries.xcu
> So if it doesn't work, how does "string-list" work?
> Should it be:
> <prop oor:name="Locations" oor:type="oor:string-list">
> <value>%origin%/an_ES.aff</value>
> <value>%origin%/an_ES.dic</value>

Oh, I think you misunderstood Andras' comment. I think his point was that from <value>foo bar baz lt lt-LT</value>, 'lt-LT' will be the only value treated as valid, because it conforms ll-CC form.
Comment 10 Rimas Kudelis (only watching bugs where I'm in CC list) 2013-07-30 13:54:22 UTC
Any updates here?
Comment 11 Joel Madero 2014-06-25 05:12:31 UTC
Sophie I thought you might have an opinion on this one.
Comment 12 sophie 2014-06-25 16:14:37 UTC
Set to New because both Rimas and Andras know better than any one what they are talking about :)
Comment 13 QA Administrators 2015-07-18 17:43:34 UTC Comment hidden (obsolete)
Comment 14 QA Administrators 2016-09-20 10:18:50 UTC Comment hidden (obsolete)
Comment 15 QA Administrators 2019-12-03 14:10:59 UTC Comment hidden (obsolete)
Comment 16 QA Administrators 2021-12-03 04:29:00 UTC
Dear Rimas Kudelis (only watching bugs where I'm in CC list),

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug